Bug 446798 - NetworkManager connection editor doesn't edits static IPs
NetworkManager connection editor doesn't edits static IPs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 01:14 EDT by Deependra Singh Shekhawat
Modified: 2008-05-20 07:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 07:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nm-connection-editor-bugreport (331.31 KB, text/plain)
2008-05-16 01:14 EDT, Deependra Singh Shekhawat
no flags Details

  None (edit)
Description Deependra Singh Shekhawat 2008-05-16 01:14:31 EDT
Description of problem:

Network Manager doesn't let you set the static IP address for your wireless network.

Version-Release number of selected component (if applicable):

NetworkManager-gnome-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-openvpn-0.7.0-10.svn3632.fc9.i386
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-glib-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc9.i386
kernel-2.6.25-14.fc9.i686
How reproducible:


Steps to Reproduce:
1. Set NetworkManager to manage your wireless device.
2. Click on the nm-applet and add a new wireless device with static IP address.
3. Fill in the IP address/netmask and gateway plus the DNS servers separated by
comma.
4. Click on OK.
5. Gnome bug report tool comes up and nm-applet crashed.

Running nm-applet from command line showed this:
[deepsa@localhost ~]$ nm-applet
** (nm-applet:28160): WARNING **: Error in sleep: Already awake
** (nm-connection-editor:28171): WARNING **: Invalid or missing ssid
** (nm-connection-editor:28171): WARNING **: address is not provided
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 address
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: address is not provided
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 netmask
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: address is not provided
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 netmask
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 address
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: address is not provided
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 netmask
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 address ''
missing or invalid!
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 address
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: address is not provided
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 netmask
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 address ''
missing or invalid!
** (nm-connection-editor:28171): WARNING **: address is not provided
** (nm-connection-editor:28171): WARNING **: ui_to_setting: IPv4 netmask
'<none>' missing or invalid!
** (nm-connection-editor:28171): WARNING **: address is not provided
** ERROR:(page-wireless-security.c:407):update_connection: assertion failed: (sec)
5b80215c-28f1-6476-530568a9-16da1890 is dumped

  
Actual results:
We can't use static IP address for wireless connections with NetworkManager in
fedora9.

Expected results:
We should be able to use static IP addresses for wireless connections with
NetworkManager in fedora9

Additional info:
This should have worked if the option was given in the UI itself. Why release
something that doesn't work in a gold release?

Any more info if you want I am glad to provide.
Thanks
Comment 1 Deependra Singh Shekhawat 2008-05-16 01:14:31 EDT
Created attachment 305630 [details]
nm-connection-editor-bugreport
Comment 2 Dan Williams 2008-05-19 12:59:15 EDT
Should be fixed by latest NM in updates-testing:

http://koji.fedoraproject.org/koji/taskinfo?taskID=608593

please test.  Thanks!
Comment 3 Deependra Singh Shekhawat 2008-05-20 00:09:24 EDT
Hi,

Thanks alot. This new build fixes the above issue.

Deependra
Comment 4 Dan Williams 2008-05-20 07:30:53 EDT
Ok, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.